package org.ajax4jsf.listener;

import javax.faces.event.ActionEvent;
import javax.faces.event.ActionListener;
import javax.faces.event.ValueChangeEvent;
import javax.faces.event.ValueChangeListener;

import org.ajax4jsf.bean.A4JSupport;
import org.ajax4jsf.bean.A4JSupport.Messages;
import org.ajax4jsf.util.FacesUtils;

public class AjaxSupportActionListener implements ActionListener, ValueChangeListener {
    
    public void processAction(ActionEvent e) {
	process(Messages.TEST_PASSED);
    }
    
    public void processValueChange(ValueChangeEvent ce) {
	process(Messages.TEST_PASSED);
    }
    
    private void process(String str) {
	A4JSupport bean = (A4JSupport) FacesUtils.getFacesBean(A4JSupport.BEAN_NAME);
	if (bean != null) {
	    bean.setData(str);
	}
    }
}
